package com.ssj.service.weixin.user.service;

import com.ssj.bean.weixin.user.domain.SubActivity;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;


public interface SubActivityService  extends BaseService<SubActivity, String>{

	List<SubActivity> findSubActivityByRemarks(String remarks);

	List<SubActivity> findSubActivityByPO(String remarks,String openId);
	
	List<SubActivity> findSubActivityByOpenid(String openId);

	SubActivity findByOpenidAndParentId(String openId, String objectId,int type);

	int findCountByParentId(String objectId,int type);

	/**
	 * 查找海报，已经生成直接返回，否生成返回
	 * @date 2020/4/23 10:06
	 * @author Admin
	 * @param openId 微信用户openid
	 * @param parentId 二维码表的标识
	 * @param templateUrl 合成图片的底图模板url
	 * @return com.ssj.bean.weixin.user.domain.SubActivity
	 */
	SubActivity  generatePosterByTerminal(String openId,String parentId,String templateUrl);


    Page<Map<String, Object>> findByTypePages(Map<String, Object> params, Pageable initPage);
}
